-- Fix: Farbschema für Rechtschreibfehler
vim.api.nvim_set_hl(0, "SpellBad", {
  fg = "#ffffff",
  bg = "#5f0000",
})

vim.api.nvim_set_hl(0, "SpellCap", {
  fg = "#000000",
  bg = "#ffaf00",
})

vim.api.nvim_set_hl(0, "SpellRare", {
  fg = "#000000",
  bg = "#5fd7ff",
})

vim.api.nvim_set_hl(0, "SpellLocal", {
  fg = "#000000",
  bg = "#5fff87",
})

vim.api.nvim_set_hl(0, "CursorLine", {
  bg = "#252526"
})

-- Statusline Farben
vim.api.nvim_set_hl(0, "StatuslineModeNormal", { fg = "#1e222a", bg = "#61afef", bold = true })
vim.api.nvim_set_hl(0, "StatuslineModeInsert", { fg = "#1e222a", bg = "#98c379", bold = true })
vim.api.nvim_set_hl(0, "StatuslineModeVisual", { fg = "#1e222a", bg = "#c678dd", bold = true })
vim.api.nvim_set_hl(0, "StatuslineModeReplace",{ fg = "#1e222a", bg = "#e86671", bold = true })
vim.api.nvim_set_hl(0, "StatuslineModeCommand",{ fg = "#1e222a", bg = "#e5c07b", bold = true })
